void_function0abstract

A C++03 compatible void no-argument callback function object, used by container::schedule() and event_loop::inject() In C++11 you can use std::bind, std::function or a void-no-argument lambda instead. More...

`#include <function.hpp>`

Inheritance diagram for void_function0:
[legend]

## Public Member Functions

virtual void | operator() ()=0
| Override the call operator with your code.

## Detailed Description

A C++03 compatible void no-argument callback function object, used by container::schedule() and event_loop::inject() In C++11 you can use std::bind, std::function or a void-no-argument lambda instead.

void_function0 is passed by reference, so instances of sub-classes do not have to be heap allocated. Once passed, the instance must not be deleted until its operator() is called or the container has stopped.

Examples:
  mt/epoll_container.cpp, and service_bus.cpp.

The documentation for this class was generated from the following file:

- proton/function.hpp